<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$vendor_id=$json['vendor_id'];
$sql=$conn->query("SELECT ((debit)*-1) + (credit) AS CustomerBalance,created,description,user_id FROM wallet WHERE user_id = '".$vendor_id."'"); 
$arr=array();
while($row = mysqli_fetch_assoc($sql)) {
    $date=date("M,d Y",strtotime($row['created']));
    $CustomerBalance=$row['CustomerBalance'];
     $arr[]=array("id" => $row['user_id'],"description" => $row['description'],"amount" =>number_format(round((float)$CustomerBalance,2),2),"date" => $date);
}
$data = array("data" => $arr);
echo json_encode($data);     
$conn->close();
?>